EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • GET
              List annotation jobs for a project
            • POST
              Create a annotation job
            • GET
              Get a annotation job
            • PATCH
              Update a annotation job
            • POST
              Create a cancellation
            • POST
              Create a claim
            • GET
              List insights for a annotation job
            • GET
              List items for a annotation job
            • GET
              Get a item
            • POST
              Create a completion
            • POST
              Create a review
            • GET
              Get the project annotation schema
            • PUT
              Replace the project annotation schema, requireReview, and overlap flag
            • GET
              List skill taxonomy for a project
            • GET
              List resolved project skills
            • POST
              Add a skill term to the project taxonomy
            • POST
              Create a skill taxonomy
            • PATCH
              Update a skill taxonomy
            • GET
              List terms for a skill taxonomy
            • POST
              Create a term
          • Quality and tasks
            • Search
              • Workflows
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Annotation
                              4. List annotation jobs for a project

                              List annotation jobs for a project

                              GET
                              /v1/projects/{projectId}/annotation-jobs
                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-jobs' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • projectIdstringrequired

                              Query parameters

                              • pageSizenumber

                                Page size (default 25, maximum 100). Over-maximum is refused.

                              • pageTokenstring

                                Opaque page token from the previous response.

                              • statusstring

                              Responses

                              Success

                              • dataarray<AnnotationJobDto>required
                                • idstringrequired
                                • projectIdstringrequired
                                • kindstringrequired
                                  Allowed values
                                  segmentation
                                  labeling
                                • namestringrequired
                                • instructionsMdstring | nullrequired
                                • exampleEpisodeIdstring | nullrequired
                                • fieldsJsonarray<string>required
                                • reviewerMembershipIdstring | nullrequired
                                • dueAtstring | nullrequired
                                • statusstringrequired
                                  Allowed values
                                  cancelled
                                  in_review
                                  in_progress
                                  open
                                  done
                                • distributionstringrequired
                                  Allowed values
                                  even
                                  queue
                                • createdBystring | nullrequired
                                • assigneeMembershipIdsarray<string>required
                                • progressobjectrequired
                                • createdAtstringrequired
                                • updatedAtstringrequired
                                • rowVersionnumberrequired
                              • nextPageTokenstring

                                Opaque AIP-158 page token. Omitted when the collection is exhausted.

                              • metaobjectrequired
                                • pageSizenumberrequired
                                • totalCountnumber
                                • truncatedone of
                                • requestIdstring
                              Response example
                              {
                                "data": [
                                  {
                                    "id": "string",
                                    "projectId": "string",
                                    "kind": "segmentation",
                                    "name": "string",
                                    "instructionsMd": "string",
                                    "exampleEpisodeId": "string",
                                    "fieldsJson": [
                                      "string"
                                    ],
                                    "reviewerMembershipId": "string",
                                    "dueAt": "string",
                                    "status": "cancelled",
                                    "distribution": "even",
                                    "createdBy": "string",
                                    "assigneeMembershipIds": [
                                      "string"
                                    ],
                                    "progress": {
                                      "total": 0,
                                      "todo": 0,
                                      "labeled": 0,
                                      "approved": 0,
                                      "rejected": 0
                                    },
                                    "createdAt": "string",
                                    "updatedAt": "string",
                                    "rowVersion": 0
                                  }
                                ],
                                "nextPageToken": "string",
                                "meta": {
                                  "pageSize": 0,
                                  "totalCount": 0,
                                  "truncated": false,
                                  "requestId": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              Annotation

                              Next

                              POST /projects/{projectId}/annotation-jobs

                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-jobs' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": [
                                  {
                                    "id": "string",
                                    "projectId": "string",
                                    "kind": "segmentation",
                                    "name": "string",
                                    "instructionsMd": "string",
                                    "exampleEpisodeId": "string",
                                    "fieldsJson": [
                                      "string"
                                    ],
                                    "reviewerMembershipId": "string",
                                    "dueAt": "string",
                                    "status": "cancelled",
                                    "distribution": "even",
                                    "createdBy": "string",
                                    "assigneeMembershipIds": [
                                      "string"
                                    ],
                                    "progress": {
                                      "total": 0,
                                      "todo": 0,
                                      "labeled": 0,
                                      "approved": 0,
                                      "rejected": 0
                                    },
                                    "createdAt": "string",
                                    "updatedAt": "string",
                                    "rowVersion": 0
                                  }
                                ],
                                "nextPageToken": "string",
                                "meta": {
                                  "pageSize": 0,
                                  "totalCount": 0,
                                  "truncated": false,
                                  "requestId": "string"
                                }
                              }